@use "colors";
@use "variables";

@use "sass:math";

.slides {
    $offset: 2em;

    .slide {
        .markdown {
            text-align: center;
            font-style: italic;
            padding: 0.5em;
        }
    }

    .slick-prev {
        z-index: 1;
        transform: scale(-1, 1);
        position: absolute;

        &:before {
            content: "";
        }
    }

    .slick-next {
        position: absolute;

        &:before {
            content: "";
        }
    }

    // TODO: Blind copy paste from social-link-container
    .navigation-arrow {
        $size: 18px;
        width: math.div($size * 3, 2);
        height: math.div($size * 3, 2);
        background-color: colors.$content-background;
        color: colors.$content-black;
        margin-left: 5px;

        border-radius: 50%;
        border: 1px solid colors.$content-black;

        display: flex;
        justify-content: center;
        align-items: center;

        $offset: 3px;
        $offset-hover: 2px;
        $offset-move: $offset - $offset-hover;
        box-shadow: -$offset $offset 0 -1px colors.$content-white,
        -$offset $offset colors.$content-black;

        transition: transform 100ms ease-out,
        box-shadow 100ms ease-out;

        @media not screen and (min-width: variables.$mobile-width) {
            display: none;
        }
        
        &:hover {
            transform: translate(-$offset-move, $offset-move);
            box-shadow: -$offset-hover $offset-hover 0 -1px colors.$content-white, -$offset-hover $offset-hover colors.$content-black;
        }

        &:active {
            transform: translate(-$offset, $offset);
            box-shadow: none;
        }

        svg {
            width: $size;
            height: $size;
            color: colors.$content-black;
        }
    }
}